package models

import "time"

// SingleMoveNodeReq 移动请求参数
type SingleMoveNodeReq struct {
	NodeId       int `description:"id"`
	ParentNodeId int `description:"父级id"`
	PrevNodeId   int `description:"上一个兄弟节点id"`
	NextNodeId   int `description:"下一个兄弟节点id"`
	NodeType     int
	/*ChartInfoId      int `description:"图表ID, 如果图表ID有值，则移动对象为图表，否则认为移动对象分类"`
	PrevChartInfoId  int `description:"上一个图表ID"`
	NextChartInfoId  int `description:"下一个图表ID"`*/
}

type NodeInfo struct {
	NodeId     int `description:"id"`
	NodeName   string
	ParentId   int `description:"父级id"`
	Sort       int
	Level      int
	LevelPath  string
	ModifyTime time.Time
	//Update     func([]string) (err error)
}
